Skip to content

Connectors

All operations require authentication.

9 operationsv2/publicCloud/project
Agent setup

List connectorsBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/connector

Returns the connectors of the service with their status.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Connector[]successful operation
checksum
read-only
string

Hash of the resource used for concurrency control

configuration
read-only
object

Connector configuration key-value pairs

connectorCapabilityId
read-only
stringuuid

Identifier of the connector type from capabilities

createdAt
read-only
stringdate-time

Date at which the resource was created

id
read-only
stringuuid

Unique identifier of the connector

name
read-only
string

Name of the connector

status
read-only
ConnectorStatusEnum

Current status of the connector

ValuesCREATINGFAILEDPAUSEDRUNNINGUNASSIGNED
updatedAt
read-only
stringdate-time

Date of the last update to the resource

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/connector \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "configuration": { "key": "string" }, "connectorCapabilityId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "status": "CREATING", "updatedAt": "2024-01-01T12:00:00Z" }]

Get a connectorBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/connector/{connectorId}

Returns the connector type, its configuration and its status.

Path parameters

connectorId
required
stringuuid

Connector ID

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Response

200Connectorsuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

configuration
read-only
object

Connector configuration key-value pairs

connectorCapabilityId
read-only
stringuuid

Identifier of the connector type from capabilities

createdAt
read-only
stringdate-time

Date at which the resource was created

id
read-only
stringuuid

Unique identifier of the connector

name
read-only
string

Name of the connector

status
read-only
ConnectorStatusEnum

Current status of the connector

ValuesCREATINGFAILEDPAUSEDRUNNINGUNASSIGNED
updatedAt
read-only
stringdate-time

Date of the last update to the resource

Example uses connectorId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/connector/{connectorId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "configuration": { "key": "string" }, "connectorCapabilityId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "status": "CREATING", "updatedAt": "2024-01-01T12:00:00Z"}

Create a connectorBeta

POST
/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/connector

Creates a connector of a type listed in the capabilities, with its configuration key-value pairs.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Request body (required)

configuration
required
object

Connector configuration key-value pairs

connectorCapabilityId
required
stringuuid

Identifier of the connector type from capabilities

name
required
string

Name of the connector

Response

200Connectorsuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

configuration
read-only
object

Connector configuration key-value pairs

connectorCapabilityId
read-only
stringuuid

Identifier of the connector type from capabilities

createdAt
read-only
stringdate-time

Date at which the resource was created

id
read-only
stringuuid

Unique identifier of the connector

name
read-only
string

Name of the connector

status
read-only
ConnectorStatusEnum

Current status of the connector

ValuesCREATINGFAILEDPAUSEDRUNNINGUNASSIGNED
updatedAt
read-only
stringdate-time

Date of the last update to the resource

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/connector \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "configuration": { "key": "string" }, "connectorCapabilityId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "status": "CREATING", "updatedAt": "2024-01-01T12:00:00Z"}

Delete a connectorBeta

DELETE
/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/connector/{connectorId}

Deletes the connector.

Path parameters

connectorId
required
stringuuid

Connector ID

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Response

200Connectorsuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

configuration
read-only
object

Connector configuration key-value pairs

connectorCapabilityId
read-only
stringuuid

Identifier of the connector type from capabilities

createdAt
read-only
stringdate-time

Date at which the resource was created

id
read-only
stringuuid

Unique identifier of the connector

name
read-only
string

Name of the connector

status
read-only
ConnectorStatusEnum

Current status of the connector

ValuesCREATINGFAILEDPAUSEDRUNNINGUNASSIGNED
updatedAt
read-only
stringdate-time

Date of the last update to the resource

Example uses connectorId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/connector/{connectorId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "configuration": { "key": "string" }, "connectorCapabilityId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "status": "CREATING", "updatedAt": "2024-01-01T12:00:00Z"}

Update a connector configurationBeta

PUT
/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/connector/{connectorId}

Updates the configuration of the connector. Keys omitted from the request are removed.

Path parameters

connectorId
required
stringuuid

Connector ID

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Request body (required)

configuration
required
object

Connector configuration key-value pairs. The whole configuration is replaced: keys omitted here are removed from the connector.

Response

200Connectorsuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

configuration
read-only
object

Connector configuration key-value pairs

connectorCapabilityId
read-only
stringuuid

Identifier of the connector type from capabilities

createdAt
read-only
stringdate-time

Date at which the resource was created

id
read-only
stringuuid

Unique identifier of the connector

name
read-only
string

Name of the connector

status
read-only
ConnectorStatusEnum

Current status of the connector

ValuesCREATINGFAILEDPAUSEDRUNNINGUNASSIGNED
updatedAt
read-only
stringdate-time

Date of the last update to the resource

Example uses connectorId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/connector/{connectorId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "configuration": { "key": "string" }, "connectorCapabilityId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "status": "CREATING", "updatedAt": "2024-01-01T12:00:00Z"}

Change the connector statusBeta

PATCH
/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/connector/{connectorId}

Pauses, resumes or restarts the connector, depending on the requested action.

Path parameters

connectorId
required
stringuuid

Connector ID

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Request body (required)

action
required
ConnectorActionEnum

Action to perform on the connector

ValuesPAUSERESTARTRESUME

Response

200Connectorsuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

configuration
read-only
object

Connector configuration key-value pairs

connectorCapabilityId
read-only
stringuuid

Identifier of the connector type from capabilities

createdAt
read-only
stringdate-time

Date at which the resource was created

id
read-only
stringuuid

Unique identifier of the connector

name
read-only
string

Name of the connector

status
read-only
ConnectorStatusEnum

Current status of the connector

ValuesCREATINGFAILEDPAUSEDRUNNINGUNASSIGNED
updatedAt
read-only
stringdate-time

Date of the last update to the resource

Example uses connectorId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/connector/{connectorId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "configuration": { "key": "string" }, "connectorCapabilityId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "status": "CREATING", "updatedAt": "2024-01-01T12:00:00Z"}

List connector tasksBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/connector/{connectorId}/task

Returns the tasks of the connector with their status.

Path parameters

connectorId
required
stringuuid

Connector ID

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Task[]successful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the resource was created

id
read-only
integer

Identifier of the task within the connector

status
read-only
TaskStatusEnum

Current status of the task

ValuesFAILEDPAUSEDRUNNING
trace
read-only
string

Error trace if the task is in error state

updatedAt
read-only
stringdate-time

Date of the last update to the resource

Example uses connectorId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/connector/{connectorId}/task \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "id": 0, "status": "FAILED", "trace": "string", "updatedAt": "2024-01-01T12:00:00Z" }]

Get a connector taskBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/connector/{connectorId}/task/{taskId}

Returns the status of the task and, when it failed, its error trace.

Path parameters

connectorId
required
stringuuid

Connector ID

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

taskId
required
integer

Task ID

Response

200Tasksuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the resource was created

id
read-only
integer

Identifier of the task within the connector

status
read-only
TaskStatusEnum

Current status of the task

ValuesFAILEDPAUSEDRUNNING
trace
read-only
string

Error trace if the task is in error state

updatedAt
read-only
stringdate-time

Date of the last update to the resource

Example uses connectorId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000, taskId = 0

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/connector/{connectorId}/task/{taskId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "id": 0, "status": "FAILED", "trace": "string", "updatedAt": "2024-01-01T12:00:00Z"}

Restart a connector taskBeta

POST
/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/connector/{connectorId}/task/{taskId}/restart

Restarts the task and returns it with its new status.

Path parameters

connectorId
required
stringuuid

Connector ID

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

taskId
required
integer

Task ID

Response

200Tasksuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the resource was created

id
read-only
integer

Identifier of the task within the connector

status
read-only
TaskStatusEnum

Current status of the task

ValuesFAILEDPAUSEDRUNNING
trace
read-only
string

Error trace if the task is in error state

updatedAt
read-only
stringdate-time

Date of the last update to the resource

Example uses connectorId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000, taskId = 0

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/connector/{connectorId}/task/{taskId}/restart \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "id": 0, "status": "FAILED", "trace": "string", "updatedAt": "2024-01-01T12:00:00Z"}